Package be.fgov.ehealth.chap4.protocol.v1

# Class AskChap4MedicalAdvisorAgreementRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v1.RequestType
be.fgov.ehealth.chap4.protocol.v1.AskChap4MedicalAdvisorAgreementRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:28+02:00", comments="JAXB RI v4.0.5") public class AskChap4MedicalAdvisorAgreementRequest extends RequestType implements Serializable

Java class for AskChap4MedicalAdvisorAgreementRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AskChap4MedicalAdvisorAgreementRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
           <sequence>
             <element name="CommonInput" type="{urn:be:fgov:ehealth:chap4:core:v1}CommonInputType"/>
             <element name="RecordCommonInput" type="{urn:be:fgov:ehealth:chap4:core:v1}RecordCommonInputType"/>
             <element name="CareReceiver" type="{urn:be:fgov:ehealth:chap4:core:v1}CareReceiverIdType"/>
             <element name="Request" type="{urn:be:fgov:ehealth:chap4:core:v1}SecuredContentType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AskChap4MedicalAdvisorAgreementRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CareReceiverIdType`
  `getCareReceiver()`
  Gets the value of the careReceiver property.
  `CommonInputType`
  `getCommonInput()`
  Gets the value of the commonInput property.
  `RecordCommonInputType`
  `getRecordCommonInput()`
  Gets the value of the recordCommonInput property.
  `SecuredContentType`
  `getRequest()`
  Gets the value of the request property.
  `void`
  `setCareReceiver(CareReceiverIdType value)`
  Sets the value of the careReceiver property.
  `void`
  `setCommonInput(CommonInputType value)`
  Sets the value of the commonInput property.
  `void`
  `setRecordCommonInput(RecordCommonInputType value)`
  Sets the value of the recordCommonInput property.
  `void`
  `setRequest(SecuredContentType value)`
  Sets the value of the request property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AskChap4MedicalAdvisorAgreementRequest

    public AskChap4MedicalAdvisorAgreementRequest()

- ## Method Details

  - ### getCommonInput

    public CommonInputType getCommonInput()
    Gets the value of the commonInput property.
    Returns:
      possible object is `CommonInputType`

  - ### setCommonInput

    public void setCommonInput(CommonInputType value)
    Sets the value of the commonInput property.
    Parameters:
      `value` - allowed object is `CommonInputType`

  - ### getRecordCommonInput

    public RecordCommonInputType getRecordCommonInput()
    Gets the value of the recordCommonInput property.
    Returns:
      possible object is `RecordCommonInputType`

  - ### setRecordCommonInput

    public void setRecordCommonInput(RecordCommonInputType value)
    Sets the value of the recordCommonInput property.
    Parameters:
      `value` - allowed object is `RecordCommonInputType`

  - ### getCareReceiver

    public CareReceiverIdType getCareReceiver()
    Gets the value of the careReceiver property.
    Returns:
      possible object is `CareReceiverIdType`

  - ### setCareReceiver

    public void setCareReceiver(CareReceiverIdType value)
    Sets the value of the careReceiver property.
    Parameters:
      `value` - allowed object is `CareReceiverIdType`

  - ### getRequest

    public SecuredContentType getRequest()
    Gets the value of the request property.
    Returns:
      possible object is `SecuredContentType`

  - ### setRequest

    public void setRequest(SecuredContentType value)
    Sets the value of the request property.
    Parameters:
      `value` - allowed object is `SecuredContentType`